1. invitations
Deepgram
  • Projects
    • Analyze Text
      POST
    • Get Projects
      GET
    • Update Project
      PATCH
    • Delete Project
      DELETE
  • Keys
    • Get Keys
      GET
    • Get Key
      GET
    • Create Key
      POST
    • Delete Key
      DELETE
  • Members
    • Get Members
      GET
    • Remove Member
      DELETE
  • Scopes
    • Get Member Scopes
      GET
    • Update Scope
      PUT
  • invitations
    • Get Invites
      GET
    • Send Invite
      POST
    • Delete Invite
      DELETE
    • Leave Project
      DELETE
  • Usage
    • Get All Requests
      GET
    • Get Request
      GET
    • Summarize Usage
      GET
    • Get Fields
      GET
  • Billing
    • Get Balances
      GET
    • Get Balance
      GET
  • Transcribe & Analyze - Local file
    POST
  • Transcribe & Analyze - Remote file
    POST
  • Transform Text-to-Speech - REST
    POST
  1. invitations

Get Invites

Develop Env
https://dev.your-api-server.com
Develop Env
https://dev.your-api-server.com
GET
/v1/projects/{project_id}/invites
Generates a list of invites
To add a Member to a Deepgram Project, you can use the Deepgram Console or the Deepgram API to send an Invitation. When sending an Invitation, you provide an email address for the Member, and Deepgram generates an invitation link and emails it to them.
Lists the specified project scopes assigned to the specified member. If the authenticated account has access to the members:read:scopes, admins:read:scopes, and owners:read:scopes project scopes, it will retrieve project scopes for any member of the specified project. Otherwise, it will retrieve project scopes for only the authenticated account.
Required account scope(s): account:read, project:read. Required project scope(s): project:read. Optional project scope(s): members:read:scopes, admins:read:scopes, owners:read:scopes. Read more about roles and scopes.

Request

Path Params

Responses

🟢200Success
application/json
Body

🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dev.your-api-server.com/v1/projects//invites'
Response Response Example
200 - Success
{
  "invites": [
    {
      "email": "string",
      "scope": "string"
    }
  ]
}
Modified at 2024-07-29 06:29:41
Previous
Update Scope
Next
Send Invite
Built with